import * as config from './linkedin/lisn.config';
/**
 * @用途 通讯类，linkedin、facebook等通讯
 * @author 黄敏
 * @创建时间 2022-08-11 10:26
 **/
export declare enum LinkedinAccount {
    nologin = 1,
    default = 2,
    sales = 3
}
declare class Linkedin {
    readonly config: Readonly<typeof config>;
    readonly nologin = 1;
    readonly default = 2;
    readonly sales = 3;
    login_status: number;
    login_number_id: number;
    current_user: Crawler.ContactAnchorFriends | null;
    getCompanyId(url: string): string | undefined;
    getContactId(url: string): string | undefined;
    /**
     * 提取图片信息
     * @param {{artifacts: any[]; rootUrl: string}} picture linkedin通用格式
     * */
    extractImageUrl(picture: {
        artifacts: any[];
        rootUrl: string;
    }): string;
    /**
    * ajax统一错误处理
    * */
    ajaxErrorHandle(e: any): void;
    getEndId(urn: string | undefined): string;
}
export default Linkedin;
